Doorgaan naar de website
OCLC Support

EZproxy 7.1 upgrade guide

Depending on which version of EZproxy you are currently running, there are some steps you may need to complete prior to downloading and installing EZproxy 7.1. 

How to read this guide: Note which version of EZproxy you are running, find the applicable section, and work upward. For example, if you are running EZproxy 6.4.4, start with the "If running a version prior to EZproxy 6.5.2" section, and work upward from there. 

If running EZproxy 7.0.16 

Actions: 

  • Verify that at least 200MB of disk space is available in the EZproxy directory to support the new security rules database 
  • Download and install the latest version 

If running a version prior to EZproxy 6.6.2 and using SAML authentication 

These steps apply only to sites both running EZproxy versions prior to 6.6.2 and using SAML authentication.  

Actions: 

If running a version prior to EZproxy 6.5.2 

Actions: 

If running a version prior to EZproxy 6.4.4 

The Location directive is important to realize the benefits of the new security features in EZproxy 7.1. 

Actions: 

  • Follow these steps to update your Location directive 
  • Maxmind account is required to download the updated geolocation file 

If running a version prior to EZproxy 6.0 

Starting with version 6.0, EZproxy moved to an annual subscription model. 

Actions: 

 

 

  • Heeft dit artikel u geholpen?